/*
	ProWesS, PROGS Windowing System
	PROforma, PROGS Font & Raster Manager

	PFconfig : utility program for ProWesS package
		allows easy configuration of PROforma

	written by Joachim Van der Auwera for PROGS
	(c) 1996 by PROGS, Professional & Graphical Software
	29.09.1996 started
*/

#include "PFConfig.h"

/* === set the default printer driver === */

Error PrinterDefault(Global *g)
{
	Error err;
	char line[PF_MAXDRIVERNAME+2]="d ";

	catch( DriverSelect(NULL,FALSE,FALSE,g->printer) );
	if (g->printer[0]) g->changed=TRUE;
	STRFormatPut(line,"d %s",g->printer);
	err=THINGCall(PF_THING_NAME,PF_THING_CNFG,1,line);
	if (err) DisplayError(err);
	return ERR_OK;
}
